Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Class RSAPrivateKeyPKCS8

`java.lang.Object
oracle.security.crypto.core.RSAKey
oracle.security.crypto.core.RSAPrivateKey
oracle.security.crypto.core.RSAPrivateKeyPKCS8`

All Implemented Interfaces:
  ASN1Object, java.lang.Cloneable, java.io.Externalizable, Key, PrivateKey, java.io.Serializable, Streamable

Deprecated. This class is maintained only to ease the transistion for existing Phaos SSLava 1.1.x applications. New applications should use `PrivateKeyPKCS8` instead.

public class RSAPrivateKeyPKCS8
extends RSAPrivateKey
implements Streamable

A class for PKCS8 encrypted RSA private keys.

See Also:
  Serialized Form

Constructor Summary
`RSAPrivateKeyPKCS8()` Deprecated.
`RSAPrivateKeyPKCS8(byte[] password, java.io.File f)` Deprecated. Read encrypted private key from a file.
`RSAPrivateKeyPKCS8(RSAPrivateKey key, RandomBitsSource rbs)` Deprecated. Create a new `RSAPrivateKeyPKCS8` from a `RSAPrivateKey` and the given `RandomBitsSource`.
`RSAPrivateKeyPKCS8(java.lang.String password, java.io.File f)` Deprecated. Read encrypted private key from a file.

Method Summary
`RSAPrivateKey` | `getKey()` Deprecated. Returns the RSA private key (this object).
`void` | `input(java.io.InputStream is)` Deprecated. Inputs this object from the specified input stream.
`int` | `length()` Deprecated. Length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Deprecated. Outputs this object to the specified output stream.
`void` | `setPassword(byte[] p)` Deprecated. Set password for PKCS5.
`void` | `setPassword(java.lang.String p)` Deprecated. Set password for PKCS5.

Methods inherited from class oracle.security.crypto.core.RSAPrivateKey
`clone, erase, finalize, getAlgID, getContents, getCrtCoefficient, getFormat, getPrimeExponentP, getPrimeExponentQ, getPrimeP, getPrimeQ, getPublicExponent, getPublicKey, initialize, isPublic, readExternal, setModulusExponent, toString, writeExternal`

Methods inherited from class oracle.security.crypto.core.RSAKey
`getAlgorithm, getBitLength, getEncoded, getExponent, getModulus, modulusLength, setBytes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.security.crypto.core.Key
`getAlgorithm, getBitLength, getEncoded`

Constructor Detail

### RSAPrivateKeyPKCS8

    public RSAPrivateKeyPKCS8()

  Deprecated.

### RSAPrivateKeyPKCS8

    public RSAPrivateKeyPKCS8(byte[] password,
                              java.io.File f)
                       throws java.io.FileNotFoundException,
                              java.io.IOException

  Deprecated.
  Read encrypted private key from a file. Password is byte array.

### RSAPrivateKeyPKCS8

    public RSAPrivateKeyPKCS8(java.lang.String password,
                              java.io.File f)
                       throws java.io.FileNotFoundException,
                              java.io.IOException

  Deprecated.
  Read encrypted private key from a file. Password is String.

### RSAPrivateKeyPKCS8

    public RSAPrivateKeyPKCS8(RSAPrivateKey key,
                              RandomBitsSource rbs)
                       throws java.io.IOException

  Deprecated.
  Create a new `RSAPrivateKeyPKCS8` from a `RSAPrivateKey` and the given `RandomBitsSource`.

Method Detail

### setPassword

    public void setPassword(byte[] p)

  Deprecated.
  Set password for PKCS5. Password is byte array.

### setPassword

    public void setPassword(java.lang.String p)

  Deprecated.
  Set password for PKCS5. Password is String.

### getKey

    public RSAPrivateKey getKey()

  Deprecated.
  Returns the RSA private key (this object).

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Deprecated.
  Description copied from interface: `Streamable`
  Inputs this object from the specified input stream.
  Specified by:
    `input` in interface `Streamable`
  Overrides:
    `input` in class `RSAPrivateKey`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Deprecated.
  Description copied from interface: `Streamable`
  Outputs this object to the specified output stream.
  Specified by:
    `output` in interface `Streamable`
  Overrides:
    `output` in class `RSAPrivateKey`
  Throws:
    `java.io.IOException`
  See Also:
    `for PKCS #1 privateKey format.`

### length

    public int length()

  Deprecated.
  Description copied from interface: `Streamable`
  Length of this object's encoding.
  Specified by:
    `length` in interface `Streamable`
  Overrides:
    `length` in class `RSAPrivateKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.